
QGIS Application - Bug report #13437

Mismatched selection on a query based spatialite layer on 2.10 64bit

2015-09-27 09:16 AM - L Diaz

Status: Closed

Priority: Normal

Assignee:

Category: Browser

Affected QGIS version:2.10.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21484

Description

Trying to select any element in the canvas, always the first visible item is selected. In the attribute table the first item of the table appears

selected, not the intended to be selected nor the first visible item.

The layer is based on a query, the problem doesn't appear on layers based directly on the table.

In the 2.8 version selection works properly.

History

#1 - 2015-09-27 09:21 AM - L Diaz

Trying to get a spatialite file lighter than 5 Mb ...

#2 - 2015-09-27 10:00 AM - L Diaz

- File testSelectDB.sql added

The minimum SpatiaLite file size exceeds the maximum file size permitted.

Attached is a script that allow recreate the intended DB. Must be executed in two parts to overcome an error message. Break apart the script after line 37

and run it within SpatiaLite. Save the resulting DB as testSelectDB.sqlite.

#3 - 2015-09-27 10:22 AM - L Diaz

- File testSelectDB.sql added

#4 - 2015-10-02 05:46 AM - Jochen Huber

I also observed this problem when using layers based directly on spatialite tables (bug report #13482).

#5 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.10)

#6 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No
#7 - 2019-03-09 03:07 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

Files

testSelect.qgs 40.1 KB 2015-09-27 L Diaz

testSelectDB.sql 1.98 KB 2015-09-27 L Diaz

testSelectDB.sql 1.88 KB 2015-09-27 L Diaz
